Printable version

Drivers & software

SGI product documentation and software downloads are currently being migrated, please visit the SGI portal for your SGI documentation and software needs during this migration period.

* RECOMMENDED * HPE ProLiant Smart Array Controller Driver for VMware vSphere 6.5 (Bundle file)

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Driver - Storage Controller
Version: 2.0.24-1(5 Feb 2018)
Operating System(s): VMware vSphere 6.5
File name: VMW-ESX-6.5.0-nhpsa-2.0.24-6797710.zip (292 KB)
This bundle file is for updating the HPE ProLiant Smart Array driver when creating custom install images with VMware vSphere 6.5.

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

e790e5e5dbff575256486c11754f39816bd3a51ce737c5e3b132b5dbac3bae66 VMW-ESX-6.5.0-nhpsa-2.0.24-6797710.zip

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:
Bundle file version is strictly for creating custom install images.
If you need to update the driver on a previously installed server, use the VIB format instead.

See instructions for using VMware’s Image Builder in section “Using vSphere Image Builder CLI” in vSphere Installation and Setup section of vSphere documentation at  http://www.vmware.com/support/


End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Resolved dual domain SAS failover issue with vSAN and vSphere on Synergy vSAN configurations.
  • Resolved an issue where datastores created by SmartPath, with Secure Encryption enabled, are now accessible after upgrading from vSphere 6.0 to 6.5.
Version:2.0.28-1 (28 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Issue with I/O errors in multipath configurations with MSA1040, MSA2040, MSA 1050, and MSA 2050 configurations

Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Added a module parameter to aneable VMware VSAN mode

Version:2.0.24-1 (5 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Resolved dual domain SAS failover issue with vSAN and vSphere on Synergy vSAN configurations.
  • Resolved an issue where datastores created by SmartPath, with Secure Encryption enabled, are now accessible after upgrading from vSphere 6.0 to 6.5.

Version:2.0.18-1 (25 Sep 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Resolved an issue where duplicate SCSI ID is seen when running the "nhpsa" driver on HPE Synergy Gen9 Compute Modules with a SATA Drive in Bay 1 of a Synergy D3940 Storage Module.

Refer to HPE Customer Advisory for more details: http://h20566.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-a00009526en_us  

Enhancements

Added support for:

  • HPE Smart Array P830 Controller 
  • HPE Smart Array P830i Controller 

Version:2.0.16-1 (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • VSAN performance concerns when SmartPath is disabled for RAID 0 configurations.
  • Flashing components fails intermittently with nhpsa drivers.
  • nhpsa LED control utility failing with status 0x60.

Version:2.0.14-1 (1 Mar 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Fixes Latency issues where queue depth for controller was being incorrectly returned for certain devices.

 


Version:2.0.10-1 (17 Nov 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Added VMware vSphere 6.5 support.


Type: Driver - Storage Controller
Version: 2.0.24-1(5 Feb 2018)
Operating System(s):
VMware vSphere 6.5

Description

This bundle file is for updating the HPE ProLiant Smart Array driver when creating custom install images with VMware vSphere 6.5.

Installation Instructions

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

e790e5e5dbff575256486c11754f39816bd3a51ce737c5e3b132b5dbac3bae66 VMW-ESX-6.5.0-nhpsa-2.0.24-6797710.zip

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:
Bundle file version is strictly for creating custom install images.
If you need to update the driver on a previously installed server, use the VIB format instead.

See instructions for using VMware’s Image Builder in section “Using vSphere Image Builder CLI” in vSphere Installation and Setup section of vSphere documentation at  http://www.vmware.com/support/


Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Resolved dual domain SAS failover issue with vSAN and vSphere on Synergy vSAN configurations.
  • Resolved an issue where datastores created by SmartPath, with Secure Encryption enabled, are now accessible after upgrading from vSphere 6.0 to 6.5.

Revision History

Version:2.0.28-1 (28 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Issue with I/O errors in multipath configurations with MSA1040, MSA2040, MSA 1050, and MSA 2050 configurations

Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Added a module parameter to aneable VMware VSAN mode

Version:2.0.24-1 (5 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Resolved dual domain SAS failover issue with vSAN and vSphere on Synergy vSAN configurations.
  • Resolved an issue where datastores created by SmartPath, with Secure Encryption enabled, are now accessible after upgrading from vSphere 6.0 to 6.5.

Version:2.0.18-1 (25 Sep 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Resolved an issue where duplicate SCSI ID is seen when running the "nhpsa" driver on HPE Synergy Gen9 Compute Modules with a SATA Drive in Bay 1 of a Synergy D3940 Storage Module.

Refer to HPE Customer Advisory for more details: http://h20566.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-a00009526en_us  

Enhancements

Added support for:

  • HPE Smart Array P830 Controller 
  • HPE Smart Array P830i Controller 

Version:2.0.16-1 (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • VSAN performance concerns when SmartPath is disabled for RAID 0 configurations.
  • Flashing components fails intermittently with nhpsa drivers.
  • nhpsa LED control utility failing with status 0x60.

Version:2.0.14-1 (1 Mar 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Fixes Latency issues where queue depth for controller was being incorrectly returned for certain devices.

 


Version:2.0.10-1 (17 Nov 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Added VMware vSphere 6.5 support.